import { useEffect, useState } from 'react'
import { events } from '@rage-fw/shared'
import { rpc } from '@/lib'

function App() {
    const [data, setData] = useState<string>('')

    useEffect(() => {
        rpc.register(events.browser.customBrowserEvent, (args: string) => {
            setData(prev => prev + ' | ' + args)
            return 'response from cef'
        })
        rpc.callClient(events.client.cefReady, ['hello from cef'])
    }, [])

    return (
        <div style={{ width: '100%', color: 'white', textAlign: 'center' }}>
            <h1>Hello World!</h1>
            <h2>{data}</h2>
        </div>
    )
}

export default App
